<!--
Price leaf компонент онлайн калькулятор.
Версия pro (c) 2012.10.01
Автор Ваня
Copyright (C) 2012 joomla-umnik
Лицензия GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
Официальный сайт http://joomla-umnik.ru
-->

<?php
// Запрет к прямому доступу. Если кто то попытается обратиться к файлу напрямую, joomla выдаст пустую страницу.
defined('_JEXEC') or die('Restricted access');
 
// импорт joomla контроллера из библиотеки
jimport('joomla.application.component.view');
 
/**
 * Вид компонента
 */
class PriceleafViewMenus extends JView
{
	/**
	 * Метод дисплея. Тоесть передаём параметры из модели в вид что будем отображать
	 */
	function display($tpl = null) 
	{
	//Получение данных из второй таблицы	
	$model = $this->getModel();
	//Получаем данные из модели
	$rows_cat = $model->getPriceleafcat();
	$this->assignRef('rows_cat',$rows_cat);
	
		// Получаем данные из модели
		$items = $this->get('Items');
		$pagination = $this->get('Pagination');
		$state = $this->get('State');

		// Проверяем на наличие ошибок.
		if (count($errors = $this->get('Errors'))) 
		{
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		}
		// Назначение данных для просмотра
		$this->items = $items;
		$this->pagination = $pagination;
		$this->state = $state;
		
		// Устанавливаем панель инструментов
		$this->addToolBar();
 
		// Отобразить данные на дисплее.
		parent::display($tpl);
	}
	//Добавление панели инструментов. Эта панель отобразится в шаблоне.
	protected function addToolBar() 
	{
		$canDo = PriceleafHelper::getActions();
		JToolBarHelper::title(JText::_('COM_PRICELEAF'), 'priceleaf');
		JToolBarHelper::deleteList('', 'menus.delete');
		JToolBarHelper::editList('menu.edit');
		JToolBarHelper::addNew('menu.add');
		JToolBarHelper::custom('menus.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
		JToolBarHelper::custom('menus.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
	}
	
}